### Hierarchy

- GBConversationalService

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- coreService

### Methods

- checkLanguage
- getCurrentLanguage
- routeNLP
- sendEvent
- sendSms

## Constructors

### constructor

- new GBConversationalService(coreService: GBCoreService): GBConversationalService

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:54

  #### Parameters

  - ##### coreService: GBCoreService

  #### Returns GBConversationalService

## Properties

### coreService

coreService: GBCoreService

- Defined in deploy/core.gbapp/services/GBConversationalService.ts:54

## Methods

### checkLanguage

- checkLanguage(dc: any, min: any, text: any): Promise<void>

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:124

  #### Parameters

  - ##### dc: any

  - ##### min: any

  - ##### text: any

  #### Returns Promise<void>

### getCurrentLanguage

- getCurrentLanguage(dc: any): any

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:60

  #### Parameters

  - ##### dc: any

  #### Returns any

### routeNLP

- routeNLP(dc: any, min: GBMinInstance, text: string): Promise<boolean>

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:89

  #### Parameters

  - ##### dc: any

  - ##### min: GBMinInstance

  - ##### text: string

  #### Returns Promise<boolean>

### sendEvent

- sendEvent(dc: any, name: string, value: any): Promise<any>

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:64

  #### Parameters

  - ##### dc: any

  - ##### name: string

  - ##### value: any

  #### Returns Promise<any>

### sendSms

- sendSms(min: GBMinInstance, mobile: string, text: string): Promise<any>

- - Defined in deploy/core.gbapp/services/GBConversationalService.ts:72

  #### Parameters

  - ##### min: GBMinInstance

  - ##### mobile: string

  - ##### text: string

  #### Returns Promise<any>

Generated using TypeDoc